#
# spec file for package jpeg (Version 6b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake libz
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         jpeg
Copyright:    distributable
Group:        Applications/Graphics
Autoreqprov:  on
Version:      6b
Release:      260
Summary:      Independent JPEG Group's JPEG Software
URL:          http://www.ijg.org/
Source:       ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.bz2
Patch:        jpeg-6b.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Software to implement JPEG image compression and decompression. JPEG
pronounced "jay-peg") is a standardized compression method for
full-color and gray-scale images.  JPEG is intended for compressing
"real-world" scenes (most of the time there are pictures that have
been scanned-in with a scanner). Cartoons and other non-realistic images
are not its strong suit. You should note that the output of JPEG is not
necessarily the same as its input. If this is a factor for you, then
don't use it. With typical real-world scenes, JPEG can achieve
high compression rates, without noticeable differences. If
you can accept pictures of lower quality, JPEG can achieve amazingly
high compression rates.
There are some library functions available for reading and writing
JPEG files. The 'cjpeg' and 'djpeg' applications use the library to
make conversions between JPEG and other popular graphics file formats
possible. The library is meant to be used within other applications.
Cjpeg compresses the input file, or standard input if no filename
was given, and produces a JPEG/JFIF to standard output. Currently
supported input file formats include: PPM (PBMPLUS color format),
PGM (PBMPLUS Grayscale format), BMP, GIF, Targa and RLE (Utah Raster
Toolkit Format). (RLE is only supported if the RLE library is
available.) Djpeg decompresses a JPEG file in one of the above
mentioned formats.

Authors:
--------
    Tom Lane <jpeg-info@uunet.uu.net>
    Philip Gladstone <pjsg@ix.netcom.com>
    Luis Ortiz <jpeg-info@uunet.uu.net>
    Jim Boucher <jpeg-info@uunet.uu.net>
    Lee Crocker <jpeg-info@uunet.uu.net>
    George Phillips <phillips@cs.ubc.ca>
    Davide Rossi <jpeg-info@uunet.uu.net>
    Ge' Weijers <jpeg-info@uunet.uu.net>

SuSE series: gra

%package -n libjpeg
Version:      6.2.0
Release:      260
Summary:      JPEG-Libraries
Group:        System Environment/Libraries
Autoreqprov:  on

%description -n libjpeg
The libraries (static and dynamic) for the jpeg-graphics format.
The sources are contained in the jpeg source package

Authors:
--------
    Rob Hooft <hooft@EMBL-Heidelberg.DE>
    Michael Mauldin <mlm@cs.cmu.edu>

SuSE series: gra

%prep
%setup -n jpeg-6b
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
        --enable-shared --enable-static --mandir=%{_mandir}
make
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
make prefix=$RPM_BUILD_ROOT/usr \
     mandir=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     install install-lib install-headers

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%files
%doc README coderules.doc install.doc usage.doc
%doc filelist.doc jconfig.doc structure.doc wizard.doc
/usr/bin/*
%doc %{_mandir}/man1/*

%files -n libjpeg
/usr/include/*.h
/usr/lib/libjpeg.*a
/usr/lib/libjpeg.so.62.0.0
/usr/lib/libjpeg.so.62
/usr/lib/libjpeg.so

%changelog -n jpeg
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Mon Nov 20 2000 - ro@suse.de
- own directory for seejpeg
* Thu Oct 12 2000 - nadvornik@suse.cz
- fixed Copyright
- ran "make test"
* Wed May 17 2000 - nadvornik@suse.cz
- fixed to compile
- changed Group tag
* Tue Apr 04 2000 - nadvornik@suse.cz
- fixed spec file
* Tue Apr 04 2000 - nadvornik@suse.cz
- fixed to compile
- added URL
* Thu Mar 30 2000 - jj@suse.de
- added %%{?suse_update_config:%%{suse_update_config -f}} for s390
* Fri Feb 18 2000 - ro@suse.de
- set libjpeg-package version to 6.2.0
* Tue Jan 25 2000 - ro@suse.de
- update to 6b
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Nov 24 1998 - ro@suse.de
- moved to prefix /usr
- added libjpeg.so.6 link
* Tue Nov 17 1998 - ro@suse.de
- jconfig.h undef HAVE_STDLIB_H before defining it
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / build from own sources
